Subject: Re: bug#17507: Documentation for `add-text-property' and relatives

From: Richard Stallman <[email-masked]>
Date: Sat, 17 Aug 2019 18:22:08 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > Well, isn't that the same thing conceptually as the properties being in
  > the string object?  However things are arranged internally (with a
  > reference to a different struct or being in the in the same struct),
  > from the Emacs Lisp side of thing, the string object has properties.

The string object has properties.  20 years ago, that was not merely
conceptually true: the tree of properties was stored in a slot in the
string.

I don't know whether the structure has changed since then, but the
concept has not changed.

-- 
Dr Richard Stallman
President, Free Software Foundation (https://gnu.org, https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)